/* umtsmon - a program to control/monitor your UMTS card
 * Copyright (C) 2008  Klaas van Gend
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation
 * applicable version is GPL version 2 only.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
#ifndef SETLANGUAGEDIALOG_H_
#define SETLANGUAGEDIALOG_H_

#include <ntqvariant.h>
#include <ntqdialog.h>
#include <ntqobject.h>

class TQVBoxLayout;
class TQHBoxLayout;
class TQSpacerItem;
class TQLabel;
class TQButtonGroup;
class TQRadioButton;
class TQPushButton;
class Internationalisation;

/// this dialog allows a user to change the language for the UI
class SetLanguageDialog : public TQDialog
{
	TQ_OBJECT

public:
	SetLanguageDialog( TQWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );

	virtual ~SetLanguageDialog()
	    {// no need to delete child widgets, TQt does it all for us
		};

	/** pass the Internationalisation instance
	 *  loads the dialog with all languages and allows for setting it later
	 */
	void setI18nPtr(Internationalisation* aI18nPtr);
	
private:
    TQLabel* textLabel1;
    TQButtonGroup* theRadioButtonGroup;
    TQPushButton* buttonOk;
    TQPushButton* buttonCancel;
    TQVBoxLayout* theDialogLayout;
    TQVBoxLayout* theRadioButtonGroupLayout;
    TQHBoxLayout* thePushButtonLayout;
    TQSpacerItem* Horizontal_Spacing2;
    Internationalisation* theInternationalisationPtr;

private slots:
	/// Sets the strings of the subwidgets using the current language.
	void languageChange();
	/// when OK button is clicked, make sure the new setting is used and saved
	void buttonOk_clicked();
	/// when a radio button is clicked, enable OK button
	void radioButton_clicked();
};

#endif /*SETLANGUAGEDIALOG_H_*/
